# GeneralComponentSpec

@Incubating
interface GeneralComponentSpec : ComponentSpec, SourceComponentSpec, VariantComponentSpec

A general purpose component specification, that can be used to represent some software component built from source and producing multiple output variants.

#### Inheritors

TestSuiteSpec
ApplicationSpec
LibrarySpec
BaseComponentSpec

## Functions

getBinaries
Link copied to clipboard
abstract fun getBinaries(): ModelMap<BinarySpec>
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getName
Link copied to clipboard
abstract fun getName(): String
getProjectPath
Link copied to clipboard
abstract fun getProjectPath(): String
getSources
Link copied to clipboard
abstract fun getSources(): ModelMap<LanguageSourceSet>
getVariants
Link copied to clipboard
abstract fun getVariants(): Iterable<out Binary>